Bug 217005 - Xlib: Maximum number of clients reached
Xlib: Maximum number of clients reached
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 23:43 EST by Pete Zaitcev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-23 15:55:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsof (41.93 KB, text/plain)
2006-11-22 23:43 EST, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2006-11-22 23:43:05 EST
Description of problem:

Running any X11 application ends with:

[zaitcev@lembas ~]$ xterm
Xlib: connection to ":0.0" refused by server
Xlib: Maximum number of clients reached
xterm Xt error: Can't open display: :0.0
[zaitcev@lembas ~]$ 

Apparently, all those sockets are tied by Firefox. I'll attach output of lsof.

Version-Release number of selected component (if applicable):

...

How reproducible:

First time it happened.

Steps to Reproduce:
1. --- Unknown at this time, to be updated ---
  
Actual results:

Firefox leaks X server connections.

Expected results:

Not leaking X server connections.

Additional info:

I have Flash 9 beta, maybe that's it... I'll kill it and retest.
Comment 1 Pete Zaitcev 2006-11-22 23:43:06 EST
Created attachment 141969 [details]
lsof
Comment 2 Pete Zaitcev 2006-11-22 23:43:57 EST
firefox-2.0-2.fc7
Comment 3 Pete Zaitcev 2006-11-23 15:55:57 EST
It's clearly a broken Flash 9 Beta (build 101806). Closing.

Note You need to log in before you can comment on or make changes to this bug.